## nginx-confgen 2.0

=== Makefile ===
CC     ?= cc
CFLAGS ?= -Wall -O2 -g
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
MANDIR ?= ${PREFIX}/share/man/man1

NGCFG_VERSION=2.0

DIST_FILES=Makefile nginx-confgen.c README LICENSE ChangeLog $(shell find test/ ! -name '*.test')

all: bin doc
bin: nginx-confgen
doc: nginx-confgen.1

nginx-confgen: nginx-confgen.c Makefile
	${CC} ${CFLAGS} -DNGCFG_VERSION='"${NGCFG_VERSION}"' $< -o $@

nginx-confgen.1: nginx-confgen.pod Makefile
	pod2man --center "nginx-confgen manual" --release nginx-confgen-${NGCFG_VERSION} $< >$@

test: bin
	cd test && e=0 && for i in *.conf; do\
			f=`basename $$i .conf`;\
			../nginx-confgen -I inc -i $$i >$$f.out 2>&1;\
			[ ! -f $$f.test ] && cp $$f.out $$f.test;\
			d="`diff -u $$f.test $$f.out`";\
			if [ -n "$$d" ]; then echo; echo "$$d"; echo; e=1; fi;\
		done; exit $$e

test-valgrind: bin
	cd test && for i in *.conf; do\
			valgrind -q --error-exitcode=2 --log-file=valgrindlog -- ../nginx-confgen -I inc -i $$i >/dev/null 2>&1;\
			if [ $$? = 2 ]; then echo; echo "FAIL at $$i"; echo; cat valgrindlog; exit 1; fi; done
	rm -f test/valgrindlog

dist:
	rm -f nginx-confgen-${NGCFG_VERSION}.tar.gz
	mkdir nginx-confgen-${NGCFG_VERSION}
	for f in `git ls-files | grep -v ^\.gitignore`; do mkdir -p nginx-confgen-${NGCFG_VERSION}/`dirname $$f`; ln -s "`pwd`/$$f" nginx-confgen-${NGCFG_VERSION}/$$f; done
	tar -cophzf nginx-confgen-${NGCFG_VERSION}.tar.gz --sort=name nginx-confgen-${NGCFG_VERSION}
	rm -rf nginx-confgen-${NGCFG_VERSION}

distcheck: dist
	tar -xzf nginx-confgen-${NGCFG_VERSION}.tar.gz
	${MAKE}  -C nginx-confgen-${NGCFG_VERSION} test
	rm -rf nginx-confgen-${NGCFG_VERSION}

clean:
	rm -f nginx-confgen nginx-confgen.1

distclean: clean

install: install-bin install-doc

install-bin: bin
	mkdir -p ${BINDIR}
	install -m0755 nginx-confgen ${BINDIR}/

install-doc: doc
	mkdir -p ${MANDIR}
	install -m0644 nginx-confgen.1 ${MANDIR}/

uninstall: uninstall-bin uninstall-doc

# XXX: Ideally, these would also remove the directories created by 'install' if they are empty.
uninstall-bin:
	rm -f ${BINDIR}/nginx-confgen

uninstall-doc:
	rm -f ${MANDIR}/nginx-confgen.1

## nginx-confgen 1.2

=== debian/changelog ===
nginx-confgen (1.2-3build1) groovy; urgency=medium

  * No-change rebuild against libffi8ubuntu1

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Aug 2020 00:13:10 +0000

nginx-confgen (1.2-3) unstable; urgency=medium

  * Add patch to fix build with megaparsec 8.x (closes: #964657).

 -- Jordi Mallach <jordi@debian.org>  Thu, 09 Jul 2020 18:14:25 +0200

nginx-confgen (1.2-2) unstable; urgency=medium

  * Add debian/gbp.conf.
  * Install generated manpage.
  * Set Rules-Requires-Root to "no".
  * Add upstream metadata file.
  * Move to debhelper compat v12, given we finally don't rely on cdbs.

 -- Jordi Mallach <jordi@debian.org>  Thu, 23 Apr 2020 19:55:41 +0200

nginx-confgen (1.2-1) unstable; urgency=medium

  * Initial release (closes: #956901).
  * Add patch to add a Setup.hs, to adapt build to ghc avoiding stack.
  * Replace cabal-debian's rules with pandoc-citeproc-preamble's.
  * Add patch to hide "same" and "many" from Megaparsec to fix ftbfs.
  * Add patch from git to adapt to newer lts and Mepaparsec versions.

 -- Jordi Mallach <jordi@debian.org>  Mon, 20 Apr 2020 01:57:56 +0200

=== debian/control ===
Source: nginx-confgen
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 12),
               ghc,
               ghc-prof,
               haskell-devscripts-minimal | haskell-devscripts (>= 0.13),
               libghc-megaparsec-dev,
               libghc-megaparsec-prof,
               libghc-optparse-applicative-dev,
               libghc-optparse-applicative-prof,
               libghc-regex-tdfa-dev,
               libghc-regex-tdfa-prof,
               libghc-unordered-containers-dev,
               libghc-unordered-containers-prof
Standards-Version: 4.5.0
Homepage: https://dev.yorhel.nl/nginx-confgen
Vcs-Browser: https://salsa.debian.org/debian/nginx-confgen
Vcs-Git: https://salsa.debian.org/debian/nginx-confgen.git
Rules-Requires-Root: no

Package: nginx-confgen
Architecture: any
Depends: ${haskell:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: nginx configuration file macro language and preprocessor
 This is a preprocessor and macro system for nginx(-like) configuration
 files. It can be used to do pre-processing for nginx configuration files
 (and other configuration files with a similar syntax). It has support for
 "compile-time" macro expansion and variable interpolation, which should
 make it less tedious to maintain large and complex configurations.

=== debian/rules ===
#!/usr/bin/make -f

# these rules originally written by Joey Hess for hothasktags package

%:
	dh $@

override_dh_auto_configure:
	ghc --make Setup
	./Setup configure

override_dh_auto_build:
	./Setup build
	pod2man --center="User Commands" --section=1 \
		nginx-confgen.pod > nginx-confgen.1

override_dh_auto_clean:
	if [ -x Setup ]; then ./Setup clean; fi
	rm -f Setup Setup.o Setup.hi nginx-confgen.1

override_dh_strip:
	# GHC cannot produce debugging symbols so the -dbgsym package
	# ends up empty, so disable generating it
	dh_strip --no-automatic-dbgsym

## nginx-confgen 2.0

=== debian/changelog ===
nginx-confgen (2.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop patches, all were related to the Haskell build system.
  * Reduce debian/rules to the bare minimum now that nginx-confgen is
    written in C.
  * Drop all Haskell-related Build-Depends.
  * Override dh_auto_install and define PREFIX when calling make.

 -- Jordi Mallach <jordi@debian.org>  Wed, 28 Oct 2020 01:31:53 +0100

=== debian/control ===
Source: nginx-confgen
Section: web
Priority: optional
Maintainer: Jordi Mallach <jordi@debian.org>
Build-Depends: debhelper-compat (= 12),
Standards-Version: 4.5.0
Homepage: https://dev.yorhel.nl/nginx-confgen
Vcs-Browser: https://salsa.debian.org/debian/nginx-confgen
Vcs-Git: https://salsa.debian.org/debian/nginx-confgen.git
Rules-Requires-Root: no

Package: nginx-confgen
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: nginx configuration file macro language and preprocessor
 This is a preprocessor and macro system for nginx(-like) configuration
 files. It can be used to do pre-processing for nginx configuration files
 (and other configuration files with a similar syntax). It has support for
 "compile-time" macro expansion and variable interpolation, which should
 make it less tedious to maintain large and complex configurations.

## nginx-confgen 2.1

=== Makefile ===
--- 
+++ 
@@ -4,9 +4,7 @@
 BINDIR ?= ${PREFIX}/bin
 MANDIR ?= ${PREFIX}/share/man/man1
 
-NGCFG_VERSION=2.0
-
-DIST_FILES=Makefile nginx-confgen.c README LICENSE ChangeLog $(shell find test/ ! -name '*.test')
+NGCFG_VERSION=2.1
 
 all: bin doc
 bin: nginx-confgen
@@ -46,7 +44,7 @@
 	rm -rf nginx-confgen-${NGCFG_VERSION}
 
 clean:
-	rm -f nginx-confgen nginx-confgen.1
+	rm -f nginx-confgen nginx-confgen.1 test/*.test
 
 distclean: clean

=== debian/changelog ===
nginx-confgen (2.1-1) unstable; urgency=medium

  * New upstream release.
  * Use debhelper-compat v13.
  * Update Standards-Version to 4.6.0.
  * Update copyright years.

 -- Jordi Mallach <jordi@debian.org>  Sat, 30 Apr 2022 13:01:31 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 12),
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+Standards-Version: 4.6.0
 Homepage: https://dev.yorhel.nl/nginx-confgen
 Vcs-Browser: https://salsa.debian.org/debian/nginx-confgen
 Vcs-Git: https://salsa.debian.org/debian/nginx-confgen.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	$(MAKE) install PREFIX=$(CURDIR)/debian/nginx-confgen/usr

=== debian/watch ===
# Compulsory line, this is a version 4 file
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

opts="mode=git" https://code.blicky.net/yorhel/nginx-confgen.git \
   refs/tags/([\d\.]+)

## nginx-confgen 2.2

=== Makefile ===
--- 
+++ 
@@ -1,20 +1,26 @@
+# SPDX-FileCopyrightText: Yorhel <projects@yorhel.nl>
+# SPDX-License-Identifier: MIT
+
 CC     ?= cc
 CFLAGS ?= -Wall -O2 -g
 PREFIX ?= /usr/local
 BINDIR ?= ${PREFIX}/bin
 MANDIR ?= ${PREFIX}/share/man/man1
 
-NGCFG_VERSION=2.1
+NGCFG_VERSION=2.2
 
-all: bin doc
+.PHONY: all bin\
+	test test-valgrind lint\
+	dist distcheck\
+	clean distclean\
+	install install-bin install-doc\
+	uninstall uninstall-bin uninstall-doc
+
+all: bin
 bin: nginx-confgen
-doc: nginx-confgen.1
 
 nginx-confgen: nginx-confgen.c Makefile
 	${CC} ${CFLAGS} -DNGCFG_VERSION='"${NGCFG_VERSION}"' $< -o $@
-
-nginx-confgen.1: nginx-confgen.pod Makefile
-	pod2man --center "nginx-confgen manual" --release nginx-confgen-${NGCFG_VERSION} $< >$@
 
 test: bin
 	cd test && e=0 && for i in *.conf; do\
@@ -31,6 +37,10 @@
 			if [ $$? = 2 ]; then echo; echo "FAIL at $$i"; echo; cat valgrindlog; exit 1; fi; done
 	rm -f test/valgrindlog
 
+lint:
+	reuse lint
+	mandoc -Tlint nginx-confgen.1
+
 dist:
 	rm -f nginx-confgen-${NGCFG_VERSION}.tar.gz
 	mkdir nginx-confgen-${NGCFG_VERSION}
@@ -44,7 +54,7 @@
 	rm -rf nginx-confgen-${NGCFG_VERSION}
 
 clean:
-	rm -f nginx-confgen nginx-confgen.1 test/*.test
+	rm -f nginx-confgen test/*.test
 
 distclean: clean
 
@@ -54,7 +64,7 @@
 	mkdir -p ${BINDIR}
 	install -m0755 nginx-confgen ${BINDIR}/
 
-install-doc: doc
+install-doc:
 	mkdir -p ${MANDIR}
 	install -m0644 nginx-confgen.1 ${MANDIR}/

=== debian/changelog ===
nginx-confgen (2.2-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.0, with no changes needed.
  * Update copyright years.
  * Update branch names to follow DEP14.

 -- Jordi Mallach <jordi@debian.org>  Sat, 16 Nov 2024 01:47:53 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: web
 Priority: optional
 Maintainer: Jordi Mallach <jordi@debian.org>
-Build-Depends: debhelper-compat (= 13),
-Standards-Version: 4.6.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.7.0
 Homepage: https://dev.yorhel.nl/nginx-confgen
 Vcs-Browser: https://salsa.debian.org/debian/nginx-confgen
 Vcs-Git: https://salsa.debian.org/debian/nginx-confgen.git
